openapi: "3.1.0"
info:
  title: "boardmate_api API"
  description: "boardmate_api API"
  version: "1.0.0"
servers:
  - url: "https://boardmate_api"
paths:
  /games:
    get:
      summary: "GET games"
      operationId: "retrieveAllGames"
      responses:
        "200":
          description: "OK"
          content:
            '*/*':
              schema:
                type: "object"
  /games/{id}:
    get:
      summary: "GET games/{id}"
      operationId: "retrieveGames"
      parameters:
        - name: "id"
          in: "path"
          required: true
          schema:
            type: "string"
      responses:
        "200":
          description: "OK"
          content:
            '*/*':
              schema:
                $ref: "#/components/schemas/GameDto"
  /create:
    post:
      summary: "POST create"
      operationId: "CreateParty"
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/GameDto"
        required: true
      responses:
        "200":
          description: "OK"
          content:
            '*/*':
              schema:
                type: "string"
  /moves/add/{gameId}:
    post:
      summary: "POST moves/add/{gameId}"
      operationId: "AddMove"
      parameters:
        - name: "gameId"
          in: "path"
          required: true
          schema:
            type: "string"
      requestBody:
        content:
          application/json:
            schema:
              type: "string"
        required: true
      responses:
        "200":
          description: "OK"
          content:
            '*/*':
              schema:
                type: "string"
components:
  schemas:
    GameDto:
      type: "object"
      properties:
        whiteName:
          type: "string"
          nullable: true
        blackName:
          type: "string"
          nullable: true
        timeValue:
          type: "integer"
          format: "int32"
          nullable: true
        increment:
          type: "integer"
          format: "int32"
          nullable: true